import request from '@/utils/request'

// 查询多井能效分析方案信息列表
export function listDjnxfxfa(query) {
  return request({
    url: '/system/djnxfxfa/list',
    method: 'get',
    params: query
  })
}

// 查询多井能效分析方案信息详细
export function getDjnxfxfa(id) {
  return request({
    url: '/system/djnxfxfa/' + id,
    method: 'get'
  })
}

// 新增多井能效分析方案信息
export function addDjnxfxfa(data) {
  return request({
    url: '/system/djnxfxfa',
    method: 'post',
    data: data
  })
}

// 修改多井能效分析方案信息
export function updateDjnxfxfa(data) {
  return request({
    url: '/system/djnxfxfa',
    method: 'put',
    data: data
  })
}

// 删除多井能效分析方案信息
export function delDjnxfxfa(id) {
  return request({
    url: '/system/djnxfxfa/' + id,
    method: 'delete'
  })
}
